## thunderbird 68.2.2

=== debian/changelog ===
thunderbird (1:68.2.2-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security
  * [038dcd9] use nodejs-mozilla within stretch-security
    The package nodejs isn't available for stretch, but nodejs-mozilla is
    usable. Thanks for backporting!
  * [4bdcd39] d/mozconfig.default: remove option for hunspell
    Thunderbird 68 isn't using external (or internal) hunspell features any
    more. This requires the usage of external dictionaries provided by AddOns.
  * [e368b15] d/mozconfig.default: remove doubled sqlite option
    Removed a doubled disabled option for libsqlite3, the merge from buster
    was bringing already this option as a disabled option.
  * [8ddc95c] use internal libvpx library within stretch-security
    Also libvpx is to old on stretch and we switch to the internal version
    from the Thunderbird source.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Nov 2019 17:43:00 +0200

thunderbird (1:68.2.2-1~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security
  * [2c1bd00] d/mozconfig.default: use internal version of
    nspr, nss, sqlite and icu
  * [94d6ae4] d/control: remove lib{nspr4,nss3,sqlite3}-dev from B-D

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Nov 2019 12:58:00 +0100

thunderbird (1:68.2.2-1) unstable; urgency=medium

  * [198d539] xul-ext-compactheader: allow also version << 3.0.0
  * [0e93753] d/control: add incompatibility with jsunit << 0.2.2
  * [87c84cb] New upstream version 68.2.2
    This upstream version has removed the source for calendar-google-provider,
    thus we can't provide the related binary package any more.
  * [a3cea2a] rebuild patch queue from patch-queue branch
    rebuild patch queue from patch-queue branch

    removed patches (included upstream):
    debian/patches/fixes/Bug-1470701-Use-run-time-page-size-when-changing-map.patch
    debian/patches/fixes/Bug-1505608-Try-to-ensure-the-bss-section-of-the-elf.patch
    debian/patches/fixes/Bug-1526744-find-dupes.py-Calculate-md5-by-chunk.patch
    debian/patches/fixes/Build-also-gdata-provider-as-xpi-file.patch
    debian/patches/fixes/rust-ignore-not-available-documentation.patch
    debian/patches/porting-kfreebsd-hurd/Fix-GNU-non-Linux-failure-to-build-because-of-ipc-ch.patch
    debian/patches/porting-mips/Bug-1444303-MIPS-Fix-build-failures-after-Bug-1425580-par.patch
    debian/patches/porting-mips/Bug-1444834-MIPS-Stubout-MacroAssembler-speculationBarrie.patch
    debian/patches/porting-powerpc/powerpc-Don-t-use-static-page-sizes-on-powerpc.patch
    debian/patches/porting-sparc64/Bug-1434726-Early-startup-crash-on-Linux-sparc64-in-HashI.patch
  * [1730f5f] d/control: remove references to calendar-google-provider
    Don't build calendar-google-provider any more and remove any references
    from other binary packages.
  * [1b0bbb8] d/rules: remove any calendar-google-provider stuff
  * [92f681c] thunderbird.NEWS: Adding hint about removal of gdata
    Give out an announcement about the removal of a possible previously
    installed package calendar-google-provider.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Nov 2019 12:09:17 +0100

thunderbird (1:60.9.0-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Sep 2019 19:25:59 +0200

thunderbird (1:60.9.0-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster-security
  * [9802e1d] Revert "Use gcc-8 and g++-8 due broken build with GCC-9"

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 12 Sep 2019 16:52:34 +0200

thunderbird (1:60.8.0-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 13 Jul 2019 15:33:17 +0200

thunderbird (1:60.7.2-1~deb9u1) stretch-security; urgency=medium

  [ Carsten Schoenert ]
  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2019 18:24:02 +0200

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.35),
 cbindgen (>= 0.8.7),
 clang-4.0,
 debhelper (>= 10.2.5~),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libbz2-dev,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-4.0-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libglib2.0-dev,
 libgtk2.0-dev,
 libgtk-3-dev (>= 3.4),
 libjsoncpp-dev,
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 libstartup-notification0-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-4.0-dev,
 mesa-common-dev,
 mozilla-devscripts,
 nodejs-mozilla (>= 8.11),
 python-minimal (>= 2.6.6-13~),
 python-ply,
 python2.7,
 rustc (>= 1.34),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.4.1

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 psmisc,
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightning (= ${source:Version}),
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
 icedove,
Xb-Xul-AppId: {3550f703-e582-4d05-9a08-453d09bdfdc6}
Replaces:
 icedove (<< 1:45.6.0-2.1~),
Breaks:
 calendar-exchange-provider (<< 4.0.0~beta4-1~),
 calendar-google-provider (<=1:68.2.1-1),
 icedove (<< 1:45.6.0-2.1~),
 enigmail (<< 2:2.1.2~),
 hunspell-ar (<< 0.0.0+20080110-1.1),
 hunspell-da (<< 1:3.1.0-3),
 hunspell-de-at (<< 20071211-2),
 hunspell-de-ch (<< 20071211-2),
 hunspell-de-de (<< 20071211-2),
 hunspell-de-med (<< 20090825-1),
 hunspell-en-ca (<< 1:3.1.0-3),
 hunspell-en-us (<< 20070829-3),
 hunspell-fr (<< 1:3.1.0-3),
 hunspell-gl-es (<< 2.2a-6),
 hunspell-hu (<< 1:3.1.0-3),
 hunspell-ko (<< 0.3.3-1),
 hunspell-ne (<< 1:3.1.0-3),
 hunspell-se (<< 1.0~beta6.20081222-1.1),
 hunspell-sh (<< 1:3.1.0-3),
 hunspell-sr (<< 1:3.1.0-3),
 hunspell-uz (<< 0.6-3.1),
 hunspell-vi (<< 1:3.1.0-3),
 jsunit (<< 0.2.2-1~),
 lightning (<< ${source:Version}),
 myspell-af (<< 1:3.1.0-3),
 myspell-ca (<< 0.6-8),
 myspell-cs-cz (<< 20040229-4.1),
 myspell-da (<< 1.6.18-1.1),
 myspell-de-at (<< 20071211-2),
 myspell-de-ch (<< 20071211-2),
 myspell-de-de (<< 20071211-2),
 myspell-de-de-oldspell (<< 1:2-25.1),
 myspell-el-gr (<< 0.3-1.1),
 myspell-en-au (<< 2.1-5),
 myspell-en-gb (<< 1:3.1.0-3),
 myspell-en-us (<< 1:3.1.0-3),
 myspell-en-za (<< 1:3.1.0-3),
 myspell-eo (<< 2.1.2000.02.25-41),
 myspell-es (<< 1.10-7),
 myspell-et (<< 1:20030606-12.1),
 myspell-fa (<< 0.20070816-2),
 myspell-fi (<< 0.7-17.2),
 myspell-fo (<< 0.2.36-3),
 myspell-fr (<< 1.4-25),
 myspell-fr-gut (<< 1:1.0-26.1),
 myspell-ga (<< 2.0-19),
 myspell-gd (<< 0.50-7),
 myspell-gv (<< 0.50-8),
 myspell-hr (<< 20060617-2),
 myspell-hu (<< 0.99.4-1.2),
 myspell-hy (<< 0.10.1-1.1),
 myspell-it (<< 1:3.1.0-3),
 myspell-ku (<< 0.20.0-1.1),
 myspell-lv (<< 0.7.3-3.1),
 myspell-nb (<< 2.0.10-3.1),
 myspell-ne (<< 1.0-4.1),
 myspell-nl (<< 1:1.10-3),
 myspell-nn (<< 2.0.10-3.1),
 myspell-pl (<< 20090830-1),
 myspell-pt-br (<< 2009.03.30-1.1),
 myspell-pt-pt (<< 20090309-1.1),
 myspell-ru (<< 0.99g5-8.1),
 myspell-sk (<< 0.5.5a-2.1),
 myspell-sv-se (<< 1.3.8-6-2.2),
 myspell-sw (<< 1:3.1.0-3),
 myspell-th (<< 1:3.1.0-3),
 myspell-tl (<< 0.4-0-5),
 xul-ext-compactheader (<< 3.0.0~),
 xul-ext-dispmua (<= 1.8.2-1),
 xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
 xul-ext-gnome-keyring (<< 0.12-1~),
 xul-ext-sogo-connector (<< 68.0.0-1~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-dbg
Architecture: any
Priority: extra
Section: debug
Multi-Arch: same
Depends:
 thunderbird (= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-dbg (<< 1:45.6.0-2.1~),
Breaks:
 icedove-dbg (<< 1:45.6.0-2.1~),
Provides:
 icedove-dbg,
Description: Debug Symbols for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 This package contains the debug symbols for Thunderbird. Install this package
 if you need to debug such a program or if you need a useful backtrace of a
 crash.

Package: lightning
Architecture: all
Depends:
 thunderbird (>= ${binary:Version}),
 ${misc:Depends},
Suggests:
 fonts-lyx,
Provides:
 calendar-timezones,
 iceowl-extension,
Breaks:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Replaces:
 calendar-timezones,
 iceowl-extension (<< 1:45.6.0-2.1~),
Description: Calendar Extension for Thunderbird
 Lightning is a calendar extension for Thunderbird. It can handle events,
 event invitations and tasks in multiple calendars.
 .
 It supports local calendars, CalDAV and plain ics files on CardDAV and WebDAV.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-si (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Replaces:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Breaks:
 icedove-l10n-all (<< 1:45.6.0-2.1~),
Provides:
 icedove-l10n-all,
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Replaces:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
 lightning-l10n-ar (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-ar (<< 1:45.6.0-2.1~),
 lightning-l10n-ar (<< 1:60.2.1-1~),
Provides:
 icedove-l10n-ar,
 lightning-l10n-ar,
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Replaces:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
 lightning-l10n-ast (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-ast (<< 1:45.6.0-2.1~),
 lightning-l10n-ast (<< 1:60.2.1-1~),
Provides:
 icedove-l10n-ast,
 lightning-l10n-ast,
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Replaces:
 icedove-l10n-be (<< 1:45.6.0-2.1~),
 lightning-l10n-be (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-be (<< 1:45.6.0-2.1~),
 lightning-l10n-be (<< 1:60.2.1-1~),
Provides:
 icedove-l10n-be,
 lightning-l10n-be,
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Replaces:
 icedove-l10n-bg (<< 1:45.6.0-2.1~),
 lightning-l10n-bg (<< 1:60.2.1-1~),
Breaks:
 icedove-l10n-bg (<< 1:45.6.0-2.1~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbg package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ICU_DATA_FILE := $(shell basename config/external/icu/data/icud*.dat)
ICU_BUILD := $(shell if ! grep -qs -e "--with-system-icu" debian/mozconfig.default; then echo YES || NO; fi)
ICU_BUILD_DIR := $(CURDIR)/obj-thunderbird/obj-icu
ICU_BUILD_CONFIGURE := --with-data-packaging=archive --enable-static --disable-layoutex --disable-shared --disable-extras --disable-icuio --disable-layout --disable-tests --disable-samples --disable-strict
ICU_BUILD_CPPFLAGS := "-DU_NO_DEFAULT_INCLUDE_UTF_HEADERS=1 -DUCONFIG_NO_LEGACY_CONVERSION -DUCONFIG_NO_TRANSLITERATION -DUCONFIG_NO_REGULAR_EXPRESSIONS -DUCONFIG_NO_BREAK_ITERATION -DU_CHARSET_IS_UTF8"

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# Iceowl/Lightning version, note this is different from the TB version!
LIGHTNING_VERSION := $(shell python $(CURDIR)/comm/calendar/lightning/build/makeversion.py ${THUNDERBIRD_VERSION})

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# currently needed as workaround for GCC-6 built
# see https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
# and https://bugzilla.mozilla.org/show_bug.cgi?id=1245783#c31
CFLAGS += -fno-delete-null-pointer-checks
# -fno-schedule-insns2 -fno-lifetime-dse
CXXFLAGS += -fno-delete-null-pointer-checks
# -fno-schedule-insns2 -fno-lifetime-dse

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo
export NODEJS=/usr/lib/nodejs-mozilla/bin/node

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f configure old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)

override_dh_auto_configure:
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/js/src/configure ]; then \
		cd $(CURDIR)/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	@echo "rebuild ICU data file needed: $(ICU_BUILD)"
ifeq ($(ICU_BUILD),YES)
	####################################################################
	# (re)build upstream icudt*.dat due disabled usage of system files #
	####################################################################
	rm -f $(CURDIR)/config/external/icu/data/$(ICU_DATA_FILE)
	mkdir -p $(ICU_BUILD_DIR)
	cd $(ICU_BUILD_DIR) ;\
		$(CURDIR)/intl/icu/source/configure $(ICU_BUILD_CONFIGURE) CPPFLAGS=$(ICU_BUILD_CPPFLAGS) ;\
		$(MAKE) VERBOSE=1 -j$(NUMJOBS)
	@ICU_DATA_FILE_CREATED=$$(basename $(ICU_BUILD_DIR)/data/out/icud*.dat) ;\
	test -f $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED && cp $(ICU_BUILD_DIR)/data/out/$$ICU_DATA_FILE_CREATED $(CURDIR)/config/external/icu/data ;\
	echo "created new ICU_DATA_FILE in $(CURDIR)/config/external/icu/data/$$ICU_DATA_FILE_CREATED"
endif
	# configure the various build settings
	# thunderbird, lightning
	DIST= ./mach -v configure
	# workaround: remove "'" around some entries
	sed -i "/'/g" obj-thunderbird/backend.mk
	sed -i "/'/g" obj-thunderbird/toolkit/library/rust/backend.mk

override_dh_auto_build:
	# building the stuff
	./mach -v build
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		ln -sf /usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi \
			$(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	# install lightning-l10n
	# Since 60.2.1 we install the Lightning l10n files into the thunderbird-l10n package!
	cd $(CURDIR)/lightning-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\

## thunderbird 68.3.0

=== debian/changelog ===
thunderbird (1:68.3.0-2~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Dec 2019 11:53:09 +0100
 

thunderbird (1:68.3.0-2~deb10u1) stable-security; urgency=medium

  * Rebuild for buster-security
  [ Emilio Pozuelo Monfort ]
  * [de88895] Fix MOZ_BUILD_DATE to have the expected format
    (cherry-picked from debian/sid)

  [ Carsten Schoenert ]
  * [a077b71] d/rules: don't use SOURCE_DATE_EPOCH for MOZ_BUILD_DATE
    (cherry-picked from debian/sid)
    (Closes: #946588)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Dec 2019 10:31:09 +0100

thunderbird (1:68.3.0-2) unstable; urgency=medium

  * [0625d30] rebuild patch queue from patch-queue branch
    added patches:
    fixes/Bug-1531309-Don-t-use-__PRETTY_FUNCTION__-or-__FUNCTION__.patch
    fixes/Update-bindgen-in-ESR68.-r-glandium-a-RyanVM.patch
  * [ea8d98c] Breaks: add versioned birdtray package

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Dec 2019 18:22:15 +0100

thunderbird (1:68.3.0-1) unstable; urgency=medium

  * [fe289ec] /u/b/thunderbird: export variable DICPATH before start
    (Closes: #944295)
  * [a9a48c6] New upstream version 68.3.0
    Fixed CVE issues in upstream version 68.3 (MFSA 2019-38):
    CVE-2019-17008: Use-after-free in worker destruction
    CVE-2019-13722: Stack corruption due to incorrect number of arguments in
                    WebRTC code
    CVE-2019-11745: Out of bounds write in NSS when encrypting with a block
                    cipher
    CVE-2019-17009: Updater temporary files accessible to unprivileged
                    processes
    CVE-2019-17010: Use-after-free when performing device orientation checks
    CVE-2019-17005: Buffer overflow in plain text serializer
    CVE-2019-17011: Use-after-free when retrieving a document in
                    antitracking
    CVE-2019-17012: Memory safety bugs fixed in Firefox 71, Firefox ESR
                    68.3, and Thunderbird 68.3
  * [fb23473] d/control: increase B-D version on NSS to 3.44.3
  * [6f59938] Breaks: adding more non compatible packaged AddOns

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 05 Dec 2019 10:03:22 +0100

=== debian/control ===
--- 
+++ 
@@ -83,6 +83,7 @@
 Replaces:
  icedove (<< 1:45.6.0-2.1~),
 Breaks:
+ birdtray (<< 1.7.0+ds-1~),
  calendar-exchange-provider (<< 4.0.0~beta4-1~),
  calendar-google-provider (<=1:68.2.1-1),
  icedove (<< 1:45.6.0-2.1~),
@@ -152,8 +153,13 @@
  myspell-tl (<< 0.4-0-5),
  xul-ext-compactheader (<< 3.0.0~),
  xul-ext-dispmua (<= 1.8.2-1),
+ xul-ext-exteditor (<= 1.0.3-1),
+ xul-ext-firetray (<= 0.6.1+dfsg-1.2),
  xul-ext-foxyproxy-standard (<< 4.5.6-debian-2~),
  xul-ext-gnome-keyring (<< 0.12-1~),
+ xul-ext-nostalgy (<= 0.2.36-1.2),
+ xul-ext-quotecolors (<=0.3-6),
+ xul-ext-sieve (<< 0.3.1+dfsg-1~),
  xul-ext-sogo-connector (<< 68.0.0-1~),
 Description: mail/news client with RSS, chat and integrated spam filter support
  Thunderbird is an mail client suitable for free distribution. The goal of
@@ -374,9 +380,3 @@
  thunderbird (<< ${source:Version}.1~),
  thunderbird (>= ${source:Version}),
  ${misc:Depends},
-Homepage: https://wiki.mozilla.org/L10n:Teams:bg
-Replaces:
- icedove-l10n-bg (<< 1:45.6.0-2.1~),
- lightning-l10n-bg (<< 1:60.2.1-1~),
-Breaks:
- icedove-l10n-bg (<< 1:45.6.0-2.1~),

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,12 @@
 # Add execution time and memory usage stats in the logs
 LDFLAGS += -Wl,--stats
 
-export MOZ_BUILD_DATE := $(SOURCE_DATE_EPOCH)
+# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
+# which is set by Mozilla while creating the release.
+# This ensures we have a one-to-one date across the various package builds
+# within Debian for one upstream version. This is important for user which
+# are performing a dist-upgrade to a new release.
+export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
 export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
 export MOZILLA_OFFICIAL=1
 export DEB_BUILD_GNU_TYPE
@@ -166,11 +171,3 @@
 		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
 		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
 		ln -sf /usr/share/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi \
-			$(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
-	done
-	# install lightning-l10n
-	# Since 60.2.1 we install the Lightning l10n files into the thunderbird-l10n package!
-	cd $(CURDIR)/lightning-l10n ;\
-	for LANG in *; do \
-		locale=`basename $${LANG}` ;\
-		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\

## thunderbird 68.3.1

=== debian/changelog ===
thunderbird (2:68.3.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 19 Dec 2019 14:45:52 -0800

thunderbird (1:68.3.1-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * [6f59313] Fix MOZ_BUILD_DATE to have the expected format

  [ Carsten Schoenert ]
  * [5d0f4b1] d/rules: don't use SOURCE_DATE_EPOCH for MOZ_BUILD_DATE
    (Closes: #946588)
  * [1467af5] New upstream version 68.3.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 18 Dec 2019 15:54:44 +0100

## thunderbird 68.4.1

=== parser/html/java/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

libs:: translator

translator:: javaparser \
; mkdir -p htmlparser/bin && \
  find htmlparser/translator-src/nu/validator/htmlparser -name "*.java" | \
    xargs javac -cp javaparser.jar -g -d htmlparser/bin && \
  jar cfm translator.jar manifest.txt -C htmlparser/bin .

javaparser:: \
; mkdir -p javaparser/bin && \
  find javaparser/src -name "*.java" | \
    xargs javac -encoding ISO-8859-1 -g -d javaparser/bin && \
  jar cf javaparser.jar -C javaparser/bin .

sync_javaparser:: \
; if [ ! -d javaparser/.git ] ; \
    then rm -rf javaparser ; \
    git clone https://github.com/javaparser/javaparser.git ; \
  fi ; \
  cd javaparser ; git checkout javaparser-1.0.6 ; cd ..

sync_htmlparser:: \
; if [ -d htmlparser/.hg ] ; \
  then cd htmlparser ; hg pull --rebase ; cd .. ; \
  else \
    rm -rf htmlparser ; \
    hg clone https://hg.mozilla.org/projects/htmlparser ; \
  fi

sync:: sync_javaparser sync_htmlparser

translate:: translator \
; mkdir -p ../javasrc ; \
  java -jar translator.jar \
    htmlparser/src/nu/validator/htmlparser/impl \
    .. ../../../xpcom/ds/StaticAtoms.py ../../../xpcom/ds/HTMLAtoms.py

translate_from_snapshot:: translator \
; mkdir -p ../javasrc ; \
  java -jar translator.jar \
    ../javasrc \
    .. ../../../xpcom/ds/StaticAtoms.py ../../../xpcom/ds/HTMLAtoms.py

named_characters:: translator \
; java -cp translator.jar \
    nu.validator.htmlparser.generator.GenerateNamedCharactersCpp \
      named-character-references.html ../

clean_javaparser:: \
; rm -rf javaparser/bin javaparser.jar

clean_htmlparser:: \
; rm -rf htmlparser/bin translator.jar

clean:: clean_javaparser clean_htmlparser

=== tools/tryselect/selectors/chooser/requirements.txt ===
Flask==1.0.2 \
    --hash=sha256:2271c0070dbcb5275fad4a82e29f23ab92682dc45f9dfbc22c02ba9b9322ce48 \
    --hash=sha256:a080b744b7e345ccfcbc77954861cb05b3c63786e93f2b3875e0913d44b43f05
click==7.0 \
    --hash=sha256:2335065e6395b9e67ca716de5f7526736bfa6ceead690adf616d925bdc622b13 \
    --hash=sha256:5b94b49521f6456670fdb30cd82a4eca9412788a93fa6dd6df72c94d5a8ff2d7
Werkzeug==0.14.1 \
    --hash=sha256:c3fd7a7d41976d9f44db327260e263132466836cef6f91512889ed60ad26557c \
    --hash=sha256:d5da73735293558eb1651ee2fddc4d0dedcfa06538b8813a2e20011583c9e49b
itsdangerous==1.1.0 \
    --hash=sha256:321b033d07f2a4136d3ec762eac9f16a10ccd60f53c0c91af90217ace7ba1f19 \
    --hash=sha256:b12271b2047cb23eeb98c8b5622e2e5c5e9abd9784a153e9d8ef9cb4dd09d749
Jinja2==2.10 \
    --hash=sha256:74c935a1b8bb9a3947c50a54766a969d4846290e1e788ea44c1392163723c3bd \
    --hash=sha256:f84be1bb0040caca4cea721fcbbbbd61f9be9464ca236387158b0feea01914a4
MarkupSafe==1.1.1 \
    --hash=sha256:00bc623926325b26bb9605ae9eae8a215691f33cae5df11ca5424f06f2d1f473 \
    --hash=sha256:09027a7803a62ca78792ad89403b1b7a73a01c8cb65909cd876f7fcebd79b161 \
    --hash=sha256:09c4b7f37d6c648cb13f9230d847adf22f8171b1ccc4d5682398e77f40309235 \
    --hash=sha256:1027c282dad077d0bae18be6794e6b6b8c91d58ed8a8d89a89d59693b9131db5 \
    --hash=sha256:24982cc2533820871eba85ba648cd53d8623687ff11cbb805be4ff7b4c971aff \
    --hash=sha256:29872e92839765e546828bb7754a68c418d927cd064fd4708fab9fe9c8bb116b \
    --hash=sha256:43a55c2930bbc139570ac2452adf3d70cdbb3cfe5912c71cdce1c2c6bbd9c5d1 \
    --hash=sha256:46c99d2de99945ec5cb54f23c8cd5689f6d7177305ebff350a58ce5f8de1669e \
    --hash=sha256:500d4957e52ddc3351cabf489e79c91c17f6e0899158447047588650b5e69183 \
    --hash=sha256:535f6fc4d397c1563d08b88e485c3496cf5784e927af890fb3c3aac7f933ec66 \
    --hash=sha256:62fe6c95e3ec8a7fad637b7f3d372c15ec1caa01ab47926cfdf7a75b40e0eac1 \
    --hash=sha256:6dd73240d2af64df90aa7c4e7481e23825ea70af4b4922f8ede5b9e35f78a3b1 \
    --hash=sha256:717ba8fe3ae9cc0006d7c451f0bb265ee07739daf76355d06366154ee68d221e \
    --hash=sha256:79855e1c5b8da654cf486b830bd42c06e8780cea587384cf6545b7d9ac013a0b \
    --hash=sha256:7c1699dfe0cf8ff607dbdcc1e9b9af1755371f92a68f706051cc8c37d447c905 \
    --hash=sha256:88e5fcfb52ee7b911e8bb6d6aa2fd21fbecc674eadd44118a9cc3863f938e735 \
    --hash=sha256:8defac2f2ccd6805ebf65f5eeb132adcf2ab57aa11fdf4c0dd5169a004710e7d \
    --hash=sha256:98c7086708b163d425c67c7a91bad6e466bb99d797aa64f965e9d25c12111a5e \
    --hash=sha256:9add70b36c5666a2ed02b43b335fe19002ee5235efd4b8a89bfcf9005bebac0d \
    --hash=sha256:9bf40443012702a1d2070043cb6291650a0841ece432556f784f004937f0f32c \
    --hash=sha256:ade5e387d2ad0d7ebf59146cc00c8044acbd863725f887353a10df825fc8ae21 \
    --hash=sha256:b00c1de48212e4cc9603895652c5c410df699856a2853135b3967591e4beebc2 \
    --hash=sha256:b1282f8c00509d99fef04d8ba936b156d419be841854fe901d8ae224c59f0be5 \
    --hash=sha256:b2051432115498d3562c084a49bba65d97cf251f5a331c64a12ee7e04dacc51b \
    --hash=sha256:ba59edeaa2fc6114428f1637ffff42da1e311e29382d81b339c1817d37ec93c6 \
    --hash=sha256:c8716a48d94b06bb3b2524c2b77e055fb313aeb4ea620c8dd03a105574ba704f \
    --hash=sha256:cd5df75523866410809ca100dc9681e301e3c27567cf498077e8551b6d20e42f \
    --hash=sha256:e249096428b3ae81b08327a63a485ad0878de3fb939049038579ac0ef61e17e7

=== debian/changelog ===
thunderbird (1:68.4.1-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 15 Jan 2020 10:49:19 +0100

thunderbird (1:68.4.1-1) unstable; urgency=medium

  * [a00f3e9] New upstream version 68.4.1
    Fixed CVE issues in upstream version 68.4.1 (MFSA 2020-04):
    CVE-2019-17026: IonMonkey type confusion with StoreElementHole and
                    FallibleStoreElement
    CVE-2019-17015: Memory corruption in parent process during new content
                    process initialization on Windows
    CVE-2019-17016: Bypass of @namespace CSS sanitization during pasting
    CVE-2019-17017: Type Confusion in XPCVariant.cpp
    CVE-2019-17022: CSS sanitization does not escape HTML tags
    CVE-2019-17024: Memory safety bugs fixed in Thunderbird 68.4.1
  * [6b1fd82] rebuild patch queue from patch-queue branch
    removed patch (included upstream)
    fixes/Update-bindgen-in-ESR68.-r-glandium-a-RyanVM.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 10 Jan 2020 18:33:43 +0100

thunderbird (1:68.3.0-2~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 16 Dec 2019 11:08:53 +0100

thunderbird (1:68.2.2-1~deb8u1) jessie-security; urgency=medium

  * Rebuild for jessie-security.
  * Don't require python3.5.
  * Build with GCC 6 from gcc-mozilla.
  * Disable webrender to avoid infinite loop on the LLVM optimizer.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Nov 2019 12:42:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  cargo (>= 0.35),
  cbindgen (>= 0.8.7),
  clang-4.0,
- debhelper (>= 10.2.5~),
+ debhelper (>= 9.20150101~),
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
  dpkg-dev (>= 1.16.18~),
+ gcc-mozilla,
  libasound2-dev [linux-any],
  libatk-adaptor,
  libbz2-dev,
@@ -29,7 +30,6 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  libgtk-3-dev (>= 3.4),
- libjsoncpp-dev,
  libidl-dev (>= 0.8.0),
  libiw-dev [linux-any],
  libnotify-dev,
@@ -46,9 +46,7 @@
  mesa-common-dev,
  mozilla-devscripts,
  nodejs-mozilla (>= 8.11),
- python-minimal (>= 2.6.6-13~),
- python-ply,
- python2.7,
+ python3,
  rustc (>= 1.34),
  unzip,
  yasm (>= 1.1),
@@ -61,7 +59,7 @@
 Standards-Version: 4.4.1
 
 Package: thunderbird
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
+Architecture: any
 Depends:
  debianutils (>= 1.16),
  fontconfig,
@@ -380,3 +378,6 @@
  thunderbird (<< ${source:Version}.1~),
  thunderbird (>= ${source:Version}),
  ${misc:Depends},
+Homepage: https://wiki.mozilla.org/L10n:Teams:bg
+Replaces:
+ icedove-l10n-bg (<< 1:45.6.0-2.1~),
